org.apache.commons.ssl.asn1

## Class BERTaggedObjectParser

- java.lang.Object
- - org.apache.commons.ssl.asn1.BERTaggedObjectParser

All Implemented Interfaces:
  ASN1TaggedObjectParser, DEREncodable

    public class BERTaggedObjectParser
    extends java.lang.Object
    implements ASN1TaggedObjectParser

### Field Summary

Fields
`private int` `_baseTag`
`private java.io.InputStream` `_contentStream`
`private boolean` `_indefiniteLength`
`private int` `_tagNumber`

### Constructor Summary

Constructors
`protected` `BERTaggedObjectParser(int baseTag, int tagNumber, java.io.InputStream contentStream)`

### Method Summary

Methods
`DERObject` `getDERObject()`
`DEREncodable` `getObjectParser(int tag, boolean isExplicit)`
`int` `getTagNo()`
`boolean` `isConstructed()`
`private ASN1EncodableVector` `loadVector(java.io.InputStream in)`
`private ASN1EncodableVector` `rLoadVector(java.io.InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _baseTag

    private int _baseTag

#### _tagNumber

    private int _tagNumber

#### _contentStream

    private java.io.InputStream _contentStream

#### _indefiniteLength

    private boolean _indefiniteLength

### Constructor Detail

#### BERTaggedObjectParser

    protected BERTaggedObjectParser(int baseTag,
                         int tagNumber,
                         java.io.InputStream contentStream)

### Method Detail

#### isConstructed

    public boolean isConstructed()

#### getTagNo

    public int getTagNo()

Specified by:
  `getTagNo` in interface `ASN1TaggedObjectParser`

#### getObjectParser

    public DEREncodable getObjectParser(int tag,
                               boolean isExplicit)
                                 throws java.io.IOException

Specified by:
  `getObjectParser` in interface `ASN1TaggedObjectParser`
Throws:
  `java.io.IOException`

#### loadVector

    private ASN1EncodableVector loadVector(java.io.InputStream in)
                                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### rLoadVector

    private ASN1EncodableVector rLoadVector(java.io.InputStream in)

#### getDERObject

    public DERObject getDERObject()

Specified by:
  `getDERObject` in interface `DEREncodable`